<template>
    <div>
        <div>
            <SpellGetter @spellById="updateSpell"/>
        </div>
        <div>
            <Card :spell="this.spell"/>
        </div>
    </div>
</template>

<script>
    import SpellGetter from './GetSpellInfo'
    import Card from '../card/Card'

    export default {
        name: "SpellChooser",
        components: {
            SpellGetter,
            Card
        },
        data() {
            return {
                spell: null
            }
        },
        methods: {
            updateSpell(spell) {
                console.log("spell for update", spell);
                this.spell = spell;
            }
        }
    }
</script>

<style scoped>

</style>